### Method

# GExiv2 Metadata get_preview_properties

#### Declaration [src]

    GExiv2PreviewProperties**
    gexiv2_metadata_get_preview_properties (
      GExiv2Metadata* self
    )

#### Description [src]

An image may have stored one or more previews, often of different qualities, sometimes of different image formats than the containing image. This call returns the properties of all previews Exiv2 finds within the loaded image. Use `gexiv2_metadata_get_preview_image()` to load a particular preview into memory.

#### Return value

Type: An array of `GExiv2PreviewProperties*`

An array of `GExiv2PreviewProperties` instances, one for each preview present in the loaded image.

The array is `NULL`-terminated.
The returned data is owned by the instance.
The return value can be `NULL`.